Last modified: 2009-11-28 04:43:40 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 15629 - Form to delete images should have an id, too
Form to delete images should have an id, too
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
File management (Other open bugs)
1.14.x
All All
: Normal enhancement (vote)
: ---
Assigned To: Chad H.
: patch
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-17 15:13 UTC by Platonides
Modified: 2009-11-28 04:43 UTC (History)
0 users

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Add id to form on image deletion (629 bytes, patch)
2008-09-17 15:13 UTC, Platonides
Details

Description Platonides 2008-09-17 15:13:02 UTC
Patch to add 'deleteconfirm' id to FileDeleteForm, the same name as in Article::confirmDelete. Might make sense to merge those functions.
Comment 1 Platonides 2008-09-17 15:13:50 UTC
Created attachment 5340 [details]
Add id to form on image deletion
Comment 2 Chad H. 2008-09-18 02:54:39 UTC
Used a different id (added the mw- prefix and -img- to help differentiate from the other page). Done in r40972
Comment 3 Platonides 2008-09-18 11:00:01 UTC
I don't see the need to differenciate them, as they're conceptually equivalent for the user (only contents of the comobox change) but ok. I have added the check for the second case to my scripts.
Thanks

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links